package com.lukouguoji.gnc.page.distribution.home

import android.view.View
import com.lukouguoji.gnc.databinding.ItemGncDistributionBinding
import com.lukouguoji.module_base.adapter.setShape
import com.lukouguoji.module_base.base.BaseViewHolder
import com.lukouguoji.module_base.bean.GncDistributionBean

class GncDistributionHomeViewHolder(view: View) :
    BaseViewHolder<GncDistributionBean, ItemGncDistributionBinding>(view) {

    override fun onBind(item: Any?, position: Int) {
        val bean = getItemBean(item)!!
        binding.bean = bean

        binding.ivIcon.setOnClickListener {
            bean.checked.set(!bean.checked.get())
        }
    }

}